{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "require": {
        "php": "^8.3",
        "ext-bcmath": "*",
        "ext-fileinfo": "*",
        "ext-json": "*",
        "ext-zip": "*",
        "barryvdh/laravel-dompdf": "^3.1",
        "carlos-meneses/laravel-mpdf": "^2.1",
        "doctrine/dbal": "^3.0|^4.0",
        "guzzlehttp/guzzle": "^7.4",
        "intervention/image": "^2.7|^3.0",
        "kwn/number-to-words": "^2.11",
        "laravel/framework": "^12.0",
        "laravel/tinker": "^2.9",
        "laravel/vapor-cli": "^1.70",
        "laravel/vapor-core": "^2.33",
        "league/flysystem-aws-s3-v3": "^3.0",
        "maatwebsite/excel": "^3.1",
        "phpnexus/cwh": "^3.0",
        "mpdf/mpdf": "^8.1",
        "pusher/pusher-php-server": "^7.2",
        "rinvex/countries": "^9.0",
        "rspective/voucherify": " v2.0.*",
        "smalot/pdfparser": "^2.2",
        "spatie/laravel-activitylog": "^4.10",
        "spatie/laravel-permission": "^7.0",
        "staudenmeir/eloquent-has-many-deep": "^1.7",
        "timehunter/laravel-google-recaptcha-v3": "~2.5",
        "symfony/http-client": "^7.4",
        "symfony/mailgun-mailer": "^7.4",
        "tymon/jwt-auth": "^2.0",
        "webklex/laravel-pdfmerger": "^1.3"
    },
    "require-dev": {
        "fakerphp/faker": "^1.20",
        "laravel/dusk": "^8.0",
        "mockery/mockery": "^1.5",
        "nunomaduro/collision": "^8.5",
        "phpunit/phpunit": "^11.5",
        "spatie/laravel-ignition": "^2.5"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/"
        },
        "classmap": [
            "database/seeds",
            "database/factories"
        ],
        "files": [
            "app/Classes/General/VoucherifyHelper.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    }
}
